<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varVeh = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$varCon = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')? $varForm["ccod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Asignacion($varCod, $varVeh, $varCon, $varIni, $varFin,  NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xFormDepositos($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroDepositos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResp = $obj->FormDepositos($varForm);
	$varIde = $varForm["ide"];
	$objResponse = new xajaxResponse();
	if($varResp<>"ERROR") {	
		$varReturn = "<div id=\"divFormDepositosCabecera\">";
		$varReturn.= $varResp;
		$varReturn.= "</div>";
		$varReturn.= "<div id=\"divFormDepositosDetalle\">";
		$varReturn.= $obj->GridDepositos($varForm["ide"], $varField, $varOrder);
		$varReturn.= "</div>";
		$objResponse = new xajaxResponse();
		$objResponse->assign("divBusqueda", "style.display", "none");
		$objResponse->assign("divFormDepositos", "innerHTML", utf8_encode($varReturn));
		$variable2="ResaltarSeleccionado()";
		$objResponse->script($variable2); 
		}
	else {
		$objResponse->alert("NO EXISTE NUMERO DE ASIGNACION ".$varIde);
		}
	return $objResponse;
	}

function xFormDocumento($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroDepositos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varReturn.= $obj->FormDocumento($varForm);
	$objResponse = new xajaxResponse();
	$objResponse->assign("divFormDepositos", "style.display", "none");
	$objResponse->assign("divFormDocumento", "innerHTML", utf8_encode($varReturn));
	$variable2="ResaltarSeleccionado()";
	$objResponse->script($variable2); 
	
	$varFecha = '$(document).ready(function() {
					var femi = $("#femi").kendoDatePicker({
						format: "dd/MM/yyyy"
                    }).data("kendoDatePicker");
                });';
	$objResponse->script($varFecha);
	
	return $objResponse;
	}

function xGridDepositos($varForm=NULL, $varField=NULL, $varOrder=NULL) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroDepositos($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDepositos($varForm["ide2"], $varField, $varOrder);
	$objResponse = new xajaxResponse();
	$objResponse->assign("divFormDepositosDetalle", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$objResponse->script($variable2); 
	return $objResponse;
	}
	
function xRegresarBusqueda() {
	$objResponse = new xajaxResponse();
	$objResponse->assign("divBusqueda", "style.display", "block");
	$objResponse->assign("divFormDepositos", "innerHTML", "");
	return $objResponse;
	}

function xRegresarDescuento() {
	$objResponse = new xajaxResponse();
	$objResponse->assign("divFormDepositos", "style.display", "block");
	$objResponse->assign("divFormDocumento", "innerHTML", "");
	return $objResponse;
	}

function xRegresarDocumento() {
	$objResponse = new xajaxResponse();
	$objResponse->assign("divFormDocumento", "style.display", "block");
	$objResponse->assign("divFormRegistro", "innerHTML", "");
	return $objResponse;
	}
	
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroDepositos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varAsi = $varForm["asi"];
	$varResul = $obj->ProcesoGrabar($varForm);
	$objResponse = new xajaxResponse();
	if ($varResul=="OK") {
		$varGrid = $obj->GridDepositos($varAsi, $varField, $varOrder);
		$objResponse->assign("divFormDepositos", "style.display", "block");
		$objResponse->assign("divFormDocumento", "innerHTML", "");
		$objResponse->assign("divFormDepositosDetalle", "innerHTML", utf8_encode($varGrid));
		$objResponse->alert("SE REGISTRO EL DEPOSITO CORRECTAMENTE");
		}
	else
		$objResponse->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
	
	return $objResponse;
	}
	
function xEliminar($varAsi, $varBan, $varOpe) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroDepositos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoEliminar($varAsi, $varBan, $varOpe);
	$objResponse = new xajaxResponse();
	if ($varResul=="OK")
		$objResponse->alert("DEPOSITO ANULADO CORRECTAMENTE");
	else
		$objResponse->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
	
	return $objResponse;
	}


$xajax->register(XAJAX_FUNCTION, 'xFormDepositos');
$xajax->register(XAJAX_FUNCTION, 'xFormDocumento');

$xajax->register(XAJAX_FUNCTION, 'xRegresarBusqueda');
$xajax->register(XAJAX_FUNCTION, 'xRegresarDescuento');
$xajax->register(XAJAX_FUNCTION, 'xRegresarDocumento');

$xajax->register(XAJAX_FUNCTION, 'xGridDepositos');

$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");

?>
<script language="javascript">
	function xGridDepositosJS(varField, varOrder) {
		xajax_xGridDepositos(xajax.getFormValues('FormDepositos'),varField, varOrder);		
		}
	function xFormDepositosJS() {
		if (xajax.$("ide").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE ASIGNACION");
			xajax.$("ide").focus()
			return (false); 
			}
		else {
			xajax_xFormDepositos(xajax.getFormValues('form'));
			}				
		}	
	
	function xFormDocumentoJS() {
		if (xajax.$("ide2").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NUMERO DE ASIGNACION ES INCORRECTO");
			return (false); 
			}
		else {
			xajax_xFormDocumento(xajax.getFormValues('FormDepositos'));
			}				
		}
		
	function xEliminarJS(varAsi, varBan, varDes, varOpe, varTab) {
		if(confirm('żESTA SEGURO DE ELIMINAR ESTE DEPOSITO?\n============================================\nBanco\t\t: '+varBan+' - '+varDes+'\nOperacion\t: '+varOpe)) {			
			xajax_xEliminar(varAsi, varBan, varOpe);
			EliminarFilaTabla(varTab);
			}
		}
		
	function xGrabarJS() {
		if (xajax.$("ban") && xajax.$("ban").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN BANCO");
			xajax.$("ban").focus()
			return (false); 
			}
		else if (xajax.$("femi") && xajax.$("femi").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\n DEBE SELECCIONAR UNA FECHA DE OPERACION");
			xajax.$("femi").focus()
			return (false); 
			}
		else if (xajax.$("ope") && xajax.$("ope").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE OPERACION");
			xajax.$("ope").focus()
			return (false); 
			}
		else if (xajax.$("mon") && xajax.$("mon").value<=0) { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN MONTO");
			xajax.$("mon").focus()
			return (false); 
			}
		else {
			if (confirm("żESTA SEGURO DE REGISTRAR ESTE DEPOSITO?")) {
				xajax_xGrabar(xajax.getFormValues('form'));		
				}
			}
		}
</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divFormDepositos\">";
	echo "<div id=\"divFormDepositosCabecera\">";
	echo "</div>";
	echo "<div id=\"divFormDepositosDetalle\">";
	echo "</div>";
	echo "</div>";
	
	echo "<div id=\"divFormDocumento\">";
	echo "</div>";
	
	echo "<div id=\"divBusqueda\">";
	echo $obj->FormuBusqueda();
	echo "</div>";
	} 
?>